Skip to main content
`Ctrl`+`K`
scipy.sparse.csr_array.

# scipy.sparse.csr_array.has_canonical_format

property csr_array.has_canonical_format

  Whether the array/matrix has sorted indices and no duplicates

  Returns

    - True: if the above applies

    - False: otherwise

  has_canonical_format implies has_sorted_indices, so if the latter flag is False, so will the former be; if the former is found True, the latter flag is also set.